×
Kunena 5.2.4 and Blue eagle 1.6.4 released (04 Apr 2021)

The Kunena team has announce the arrival of Kunena 5.2.4 [K 5.2.4] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.2 and issues discovered during the development stages of K 5.2.4

REQUIREMENTS
Blue Eagle 1.6.x requires Kunena 5.2.x to work with, this template isn't designed to works with Bootstrap 3 and Bootstrap 4.

× This is for users to help other users, to discuss topics that are related to forum administration in general or problems in running Joomla. This is not the place to ask for Joomla support. If you want assistance with Joomla please ask at forum.joomla.org

Question I want to get rid of Joomla legacy mode

More
10 years 2 weeks ago #11 by sozzled
What version of Docman are you using?

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago #12 by zeisse
Docman 1.5.7

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago #13 by sozzled
Thanks. It's just that Docman 1.4.x needed legacy mode in order to operate. I checked your backend. You have Docman 1.5.10.

I made a couple of changes to your menu. You now have a working Kunena top menu.

I still haven't figure out why you cannot run J! 1.5.23 without having the System - Legacy plugin disabled but I think I know what's causing the problem. Some module mod_jms_kunena (see joomla.codelay.com/extensions/component-...-kunena-manager.html) looks extremely suspicious to me.

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago #14 by zeisse
Module mod_jms_kunena is modified version of Kunena latest module. I'm using it because have more options but if you suspecting that this is source of a problem fill free to switch off or remove.

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago - 10 years 2 weeks ago #15 by sozzled
I spent about an hour looking at your website. I can't see what, specifically, is getting in the way of removing legacy mode. You have a lot of stuff on your site - a lot of old modules, plugins, templates ... things that, I suppose, you experimented with and then you abandoned. There's a lot of "clutter" and it would be good to clean it up but that's for you to decide.

It's my guess that you have some old PHP source code that does not conform to J! 1.5 and I suspect that it's something that has found its way into your Kunena folders. I really don't know. As long as you know that your site is going to be running under the handicap of using Legacy mode, then I guess your site will survive. But let's be very clear on a couple of things:

(1) If you have problems with Kunena you need to understand that we do not test Kunena on J! 1.5 systems that use legacy mode and we may not be able to help you.

(2) You may have problems in the future when things break and when you may not be able to upgrade Kunena to fix those things, because some fix in the future may conflict with legacy mode.

I suggest you upgrade to CB 1.4 and J! 1.5.23 when you have the opportunity.

I don't know anything about mod_jms_kunena. It's not something that was written by the Kunena project.

Nice website, by the way. I wish you every success in the future. :)
Last edit: 10 years 2 weeks ago by sozzled.
The following user(s) said Thank You: zeisse

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago #16 by zeisse
Thank you very much for your time and grate support.
You have right that many modules on my web has been installed for test it and will be removed.
I will work on legacy mode problem and give update when find the source.
Thanks once again.

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago - 10 years 2 weeks ago #17 by zeisse
I have some update with my problem.
I've removed Kunena forum and my web worked fine with legacy mode switched off.
So I installed Kunena again and now everything working accept Kunena that giving me message about direct access (Direct Access to this location is not allowed).
So what I have now is web page working with legacy mode switched off and Kunena that still need legacy mode ON.

I will try uninstall Kunena again and then manually remove all files and folder and install again.
Last edit: 10 years 2 weeks ago by zeisse.

Please Log in or Create an account to join the conversation.

More
10 years 2 weeks ago #18 by zeisse
DONE ;-)
It looks that the problem was generated by some kind of conflict between community builder and Kunena.
I've removed both, install latest CB 1.4 and Kunena 1.63 and my problem is gone.
After uninstall Kunena I've removed all related folders and files.

Once again big thanks for support!

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.087 seconds